#!/bin/sh

set -e

CONF=/etc/vitrage/vitrage.conf

#PKGOS-INCLUDE#

if [ "${1}" = "configure" ] || [ "$1" = "reconfigure" ] ; then
	. /usr/share/debconf/confmodule
	. /usr/share/dbconfig-common/dpkg/postinst

	pkgos_var_user_group vitrage /bin/sh
	
	# Create config files if they don't exist
	pkgos_write_new_conf vitrage api-paste.ini
	rm -f /etc/vitrage/policy.json
	pkgos_write_new_conf vitrage vitrage.conf

	db_get vitrage/configure_db
	if [ "$RET" = "true" ] ; then
	pkgos_dbc_postinst ${CONF} database connection vitrage $@
		echo "Now doing vitrage-dbsync: this may take a while..."
		su vitrage -s /bin/sh -c "vitrage-dbsync"
	fi
	pkgos_rabbit_write_conf ${CONF} oslo_messaging_rabbit vitrage
	pkgos_write_admin_creds ${CONF} keystone_authtoken vitrage

	# Set right permissions
	chmod 0755 /etc/vitrage/static_datasources
	chmod 0755 /etc/vitrage/datasources_values
	find /etc/vitrage/static_datasources -name '*.yaml' -exec chmod 0755 {} \;
	find /etc/vitrage/datasources_values -name '*.yaml' -exec chmod  0755 {} \;

fi

#DEBHELPER#

exit 0
